import { ElementRef, EventEmitter, QueryList, NgZone, Renderer } from '@angular/core';
import { Ion } from '../ion';
import { Config } from '../../config/config';
import { Platform } from '../../platform/platform';
import { RootNode } from '../../navigation/root-node';
/**
 * @name SplitPanel
 */
export declare class SplitPanel extends Ion implements RootNode {
    private _zone;
    private _plt;
    _rmListerner: any;
    _visible: boolean;
    _init: boolean;
    _mediaQuery: string | boolean;
    sideContent: RootNode;
    mainContent: RootNode;
    _setChildren: QueryList<RootNode>;
    when: string | boolean;
    ionChange: EventEmitter<SplitPanel>;
    constructor(_zone: NgZone, _plt: Platform, config: Config, elementRef: ElementRef, renderer: Renderer);
    ngAfterViewInit(): void;
    _update(): void;
    setVisible(visible: boolean): void;
    isVisible(): boolean;
    setElementClass(className: string, add: boolean): void;
    setPanelCSSClass(elementRef: ElementRef, isSide: boolean): void;
    ngOnDestroy(): void;
    _setIsPanel(isPanel: boolean): void;
    _isSideContent(): boolean;
}
